| Home | Libraries | People | FAQ | More

#### basic_streambuf::commit

Move characters from the output sequence to the input sequence.

    void commit(
        std::size_t n);

Appends `n` characters from the start of the output sequence to the input sequence. The beginning of the output sequence is advanced by `n` characters.

Requires a preceding call `prepare(x)` where `x >= n`, and no intervening operations that modify the input or output sequence.

###### Exceptions

std::length_error

  If `n` is greater than the size of the output sequence.